org.jetbrains.annotations

## Annotation Type Nullable

    @Documented
    @Retention(value=CLASS)
    @Target(value={METHOD,FIELD,PARAMETER,LOCAL_VARIABLE})
    public @interface Nullable

An element annotated with Nullable claims `null` value is perfectly valid to return (for methods), pass to (parameters) and hold (local variables and fields). Apart from documentation purposes this annotation is intended to be used by static analysis tools to validate against probable runtime errors and element contract violations.

### Optional Element Summary

Optional Elements
`String` `value`

### Element Detail

#### value

    public abstract String value

Default:
  ""

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015